import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconEyeOpen as IconEyeOpenClass } from "../../../../components/icon/icons/eye-open.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconEyeOpen = (props) => {
  IconEyeOpenClass.define();
  const JSXElement = getReactComponent("gds-icon-eye-open");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconEyeOpen.displayName = "IconEyeOpen";
export {
  IconEyeOpen
};
